%define	major 0
%define	libname %mklibname cap-ng %{major}
%define develname %mklibname cap-ng -d

Summary:	An alternate posix capabilities library
Name:		libcap-ng
Version:	0.7.8
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Libraries
URL:		http://people.redhat.com/sgrubb/libcap-ng
Source0:	http://people.redhat.com/sgrubb/libcap-ng/%{name}-%{version}.tar.gz
BuildRequires:	kernel-headers >= 2.6.11
BuildRequires:	attr-devel
BuildRequires:	python-devel
BuildRequires:	swig

%description
Libcap-ng is a library that makes using posix capabilities easier.

%package -n	%{libname}
Summary:	Shared %{name} library
Group:		System/Libraries
Obsoletes:	%{_lib}libcap-ng0

%description -n	%{libname}
Libcap-ng is a library that makes using posix capabilities easier.

This package contains the shared %{name} library.

%package -n	%{develname}
Summary:	Header files, libraries and development documentation for %{name}
Group:		Development/C
Requires:	kernel-headers >= 2.6.11
Requires:	%{libname} = %{version}
Provides:	cap-ng-devel = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}libcap-ng-devel

%description -n	%{develname}
Libcap-ng is a library that makes using posix capabilities easier.

This package contains the development files for the %{name} library.

%package -n	python-%{name}
Summary:	Python bindings for %{name} library
Group:		Development/Python
Requires:	%{libname} = %{version}-%{release}

%description -n	python-%{name}
The libcap-ng-python package contains the bindings so that %{name} and
can be used by python applications.

%package -n	python3-%{name}
Summary:	Python3 bindings for %{name} library
Group:		Development/Python
BuildRequires:	python3-devel
Requires:	%{libname} = %{version}-%{release}

%description -n	python3-%{name}
The python3-libcap-ng package contains the bindings so that %{name} and
can be used by python3 applications.

%package	utils
Summary:	Utilities for analysing and setting file capabilities
Group:		System/Base

%description	utils
The libcap-ng-utils package contains applications to analyse the posix
capabilities of all the program running on a system. It also lets you set the
file system based capabilities.

%prep

%setup -q

%build
%configure2_5x \
    --libdir=/%{_lib} \
    --with-python --with-python3

%make CFLAGS="%{optflags}"

%install
%makeinstall_std

# Move the symlink
rm -f %{buildroot}/%{_lib}/%{name}.so
mkdir -p %{buildroot}%{_libdir}
VLIBNAME=$(ls %{buildroot}/%{_lib}/%{name}.so.*.*.*)
LIBNAME=$(basename $VLIBNAME)
ln -s ../../%{_lib}/$LIBNAME %{buildroot}%{_libdir}/%{name}.so

# Move the pkgconfig file
mv %{buildroot}/%{_lib}/pkgconfig %{buildroot}%{_libdir}

# Remove a couple things so they don't get picked up
rm -f %{buildroot}/%{_lib}/libcap-ng.*a
rm -f %{buildroot}/%{_libdir}/python?.?/site-packages/_capng.*a

%files -n %{libname}
%doc COPYING.LIB
/%{_lib}/libcap-ng.so.%{major}*

%files -n %{develname}
%attr(0644,root,root) %{_includedir}/cap-ng.h
%{_libdir}/libcap-ng.so
%attr(0644,root,root) %{_datadir}/aclocal/cap-ng.m4
%{_libdir}/pkgconfig/libcap-ng.pc
%attr(0644,root,root) %{_mandir}/man3/*

%files -n python-%{name}
%attr(0755,root,root) /%{_libdir}/python2.?/site-packages/_capng.so
%{python2_sitearch}/capng.py*

%files -n python3-%{name}
%attr(0755,root,root) /%{_libdir}/python3.?/site-packages/_capng.so
%{python3_sitearch}/capng.py*
%{python3_sitearch}/__pycache__

%files utils
%doc COPYING
%attr(0755,root,root) %{_bindir}/*
%attr(0644,root,root) %{_mandir}/man8/*


%changelog
* Wed Aug 10 2016 luigiwalser <luigiwalser> 0.7.8-1.mga6
+ Revision: 1045275
- 0.7.8

* Thu Feb 11 2016 umeabot <umeabot> 0.7.7-4.mga6
+ Revision: 955443
- Mageia 6 Mass Rebuild

* Thu Oct 08 2015 daviddavid <daviddavid> 0.7.7-3.mga6
+ Revision: 887807
- rebuild for python 3.5

* Fri Aug 21 2015 tmb <tmb> 0.7.7-2.mga6
+ Revision: 867533
- rebuild for new gcc

* Sat Jul 25 2015 blino <blino> 0.7.7-1.mga6
+ Revision: 857199
- enable python3
- 0.7.7

* Wed Oct 15 2014 umeabot <umeabot> 0.7.4-5.mga5
+ Revision: 740618
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.7.4-4.mga5
+ Revision: 726697
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.7.4-3.mga5
+ Revision: 681365
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.7.4-2.mga5
+ Revision: 628291
- Rebuild for new Python

* Sat Apr 26 2014 luigiwalser <luigiwalser> 0.7.4-1.mga5
+ Revision: 618302
- 0.7.4

* Sat Oct 19 2013 umeabot <umeabot> 0.7.3-3.mga4
+ Revision: 535976
- Mageia 4 Mass Rebuild

* Thu Jan 17 2013 pterjan <pterjan> 0.7.3-2.mga4
+ Revision: 389214
+ rebuild (emptylog)

* Sat Jan 12 2013 umeabot <umeabot> 0.7.3-2.mga3
+ Revision: 356912
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 24 2012 luigiwalser <luigiwalser> 0.7.3-1.mga3
+ Revision: 321613
- 0.7.3

* Sun Nov 04 2012 luigiwalser <luigiwalser> 0.7.1-1.mga3
+ Revision: 313633
- 0.7.1

* Mon Aug 13 2012 luigiwalser <luigiwalser> 0.7-1.mga3
+ Revision: 280987
- 0.7

* Sun Jul 31 2011 dlucio <dlucio> 0.6.6-2.mga2
+ Revision: 130991
- add devel provides

* Thu Jul 14 2011 kharec <kharec> 0.6.6-1.mga2
+ Revision: 124058
- new version

* Tue Jan 18 2011 pterjan <pterjan> 0.6.5-4.mga1
+ Revision: 21820
- Rebuild for python 2.7

* Tue Jan 11 2011 blino <blino> 0.6.5-3.mga1
+ Revision: 5751
- rebuild, it seems i586 packages have been lost in translation

* Sun Jan 09 2011 blino <blino> 0.6.5-2.mga1
+ Revision: 1637
- remove old ldconfig scriptlets
- imported package libcap-ng

